# Metadata Updated Receive a notification when the Metadata applied to an Asset in Tenovos is updated. Endpoint: POST asset.metadata.updated Version: v1.0 Security: OAuth2 ## Request fields (application/json): - `eventType` (string) Combination of the Topic and the Event Example: "asset.metadata.updated" - `event` (object) Object containing event information and the user who triggered the event. - `event.id` (string) Unique identifier of the webhook event itself Example: "some-event-type-d231cf1d-86b2-436e-95de-b745c39d2ed5" - `event.time` (string) Date/Time that the webhook event occurred. Example: "2024-05-09T17:55:28.462Z" - `event.user` (object) - `event.user.id` (string) The Tenovos User ID for the user who caused the event Example: "7d675ef0-f423-11e9-8071-89c0c405214e" - `event.user.firstName` (string) First Name of the User Example: "Erlich" - `event.user.lastName` (string) Last Name of the User Example: "Bachman" - `asset` (object) - `asset.id` (string) Unique asset identifier from Tenovos Example: "cdff2214-3873-4cc4-8e2e-94fcec784343" - `asset.filename` (string) The filename given to the asset. Example: "pied-piper-grandopening.tif" - `asset.metadataTemplate` (object) Represents the new metadata template applied to the asset - `asset.metadataTemplate.id` (string) The unique identifier for the metadata template Example: "ea6eb24d-adef-4380-bd02-f64f567c437f" - `asset.metadataTemplate.name` (string) The name of the Metadata Template Example: "Corporate Images" - `asset.metadataTemplate.previousValue` (object) Represents the previous metadata template applied to the asset. If the metadata template was not updated as part of the edit, the id and name fields will be blank. - `asset.metadataTemplate.previousValue.id` (string) The unique identifier of the previous metadata template. Will be blank if metadata template was not changed. Example: "12345678-1234-1234-1234-123456789012" - `asset.metadataTemplate.previousValue.name` (string) The name of the previous Metadata Template. Will be blank if metadata template was not changed. Example: "Basic Images" - `asset.updates` (array) Array of objects for each metadata property/attribute that was updated. Updates within tables will only reflect the table itself, not the changes made to values within the table. ## Response 200 fields